ExtUtils::Builder::Planner::Extension(3pm)

NAME
ExtUtils::Builder::Planner::Extension - a base class for Planner extensions

VERSION
version 0.019

METHODS

  add_delegate($planner, $as, $make_node)
This adds a delegate function to $planner with name $as. The function must return zero or more node objects that will be added to the plan.

  add_helper($helper, $as, $sub)
This adds a helper function to $planner with name <$as>. It will return whatever $sub returns, but will not affect the build tree in any way.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.